Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161784 - Counter intuitive message box when entering IP addresses
Summary: Counter intuitive message box when entering IP addresses
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: redhat-config-cluster
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jim Parsons
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-27 10:51 UTC by Dan Fruehauf
Modified: 2009-04-16 20:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-16 21:13:55 UTC


Attachments (Terms of Use)

Description Dan Fruehauf 2005-06-27 10:51:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
The message box for inputting IP addresses is totally uncomfortable.
First of all it is delimited with strokes (-) instead of dots.
Secondly, when inputting an IP address, users usually try to delimit each section of the ip address with a dot, while pressing the dot will just put a dot in the current box.

My suggestions would be to either :
1. Make it a plain text box
2. Delimit the 4 boxes with dots, and when the user presses on '.' it will jump to the next box (just like tab behaves today).

Version-Release number of selected component (if applicable):
system-config-cluster-1.0.12-1.0

How reproducible:
Always

Steps to Reproduce:
1. Add a resource of an IP address
2. Watch the box that appears
3.
  

Actual Results:  A very uncomfortable message box appeared, asking me for an IP address

Expected Results:  A more comfortable message box should have appeared.

Additional info:

Comment 1 Stanko Kupcevic 2005-09-09 17:28:33 UTC
Fixed in 1.0.16

Comment 2 Corey Marthaler 2005-09-16 21:13:55 UTC
fix verified in 1.0.16


Note You need to log in before you can comment on or make changes to this bug.